package com.mortals.xhx.module.feedback.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.feedback.model.vo.FeedbackOptionVo;
import lombok.Data;
/**
* 绩效问题选项实体对象
*
* @author zxfei
* @date 2023-07-05
*/
@Data
public class FeedbackOptionEntity extends FeedbackOptionVo {
    private static final long serialVersionUID = 1L;

    /**
    * 问题id号
    */
    private Long questionId;
    /**
    * 选项内容
    */
    private String content;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FeedbackOptionEntity) {
            FeedbackOptionEntity tmp = (FeedbackOptionEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.questionId = 0L;

            this.content = "";

            this.remark = "";
    }
}